%global srcname fast_xml

%global p1_utils_ver 1.0.11

Name: erlang-%{srcname}
Version: 1.1.30
Release: 1%{?dist}

License: ASL 2.0
Summary: Fast Expat based Erlang XML parsing and manipulation library
URL:     https://github.com/processone/fast_xml/
Source0: https://github.com/processone/fast_xml/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_xml = %{version}-%{release}
Obsoletes: erlang-p1_xml < 1.1.11

BuildRequires: gcc
BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: expat-devel

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}
Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.


%prep
%autosetup -n fast_xml-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}


%changelog
* Sat Jun 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.30-1
- Update to 1.1.30 (#1571779).
- https://github.com/processone/fast_xml/blob/1.1.30/CHANGELOG.md

* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.29-1
- Update to 1.1.29 (#1559642).
- https://github.com/processone/fast_xml/blob/1.1.29/CHANGELOG.md

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.28-1
- Update to 1.1.28 (#1515219).
- https://github.com/processone/fast_xml/blob/1.1.28/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.24-1
- Update to 1.1.24 (#1496436).
- https://github.com/processone/fast_xml/blob/1.1.24/CHANGELOG.md

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.23-1
- Update to 1.1.23 (#1412156).
- https://github.com/processone/fast_xml/blob/1.1.23/CHANGELOG.md

* Mon Feb 13 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.19-2
- Re-enable tests, as they turned out to be local to my development environment.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.19-1
- Update to 1.1.19 (#1412156).
- https://github.com/processone/fast_xml/blob/1.1.19/CHANGELOG.md
- Disabled tests due to https://github.com/processone/fast_xml/issues/21

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
